IMDb API - 标题推荐 (V1)
获取特定内容的标题推荐(更多类似内容)。
典型应用场景:
- 根据用户对特定内容的兴趣,为其提供相似内容推荐。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
token | query | string | 是 | 用户的鉴权令牌。 |
id | query | string | 是 | 该标题的唯一IMDb ID(例如:tt12037194)。 |
languageCountry | query | string | 否 | 语言与国家/地区偏好。 可用值: - en_US: 英语(美国)- fr_CA: 法语(加拿大)- fr_FR: 法语(法国)- de_DE: 德语(德国)- hi_IN: 印地语(印度)- it_IT: 意大利语(意大利)- pt_BR: 葡萄牙语(巴西)- es_ES: 西班牙语(西班牙)- es_US: 西班牙语(美国)- es_MX: 西班牙语(墨西哥) |
代码示例
💡 环境说明
默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择。
bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE"text
我想使用 Just One API 提供的“标题推荐 (V1)”接口。
接口地址: https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/imdb-apis/title-recommendations-v1-zh.json
请求参数说明:
- token (query): 用户的鉴权令牌。 (必填)
- id (query): 该标题的唯一IMDb ID(例如:tt12037194)。 (必填)
- languageCountry (query): 语言与国家/地区偏好。
可用值:
- `en_US`: 英语(美国)
- `fr_CA`: 法语(加拿大)
- `fr_FR`: 法语(法国)
- `de_DE`: 德语(德国)
- `hi_IN`: 印地语(印度)
- `it_IT`: 意大利语(意大利)
- `pt_BR`: 葡萄牙语(巴西)
- `es_ES`: 西班牙语(西班牙)
- `es_US`: 西班牙语(美国)
- `es_MX`: 西班牙语(墨西哥)
返回格式: JSON
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 余额不足
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests
url = "https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE"
response = requests.get(url)
print(response.json())js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE", {
method: "GET"
});
const data = await response.json();
console.log(data);java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
url := "https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/imdb/title-more-like-this-query/v1?token=YOUR_API_KEY&id=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;响应结果
json
{
"code": 0,
"data": {
"title": {
"connections": {
"edges": [
{
"node": {
"category": {
"id": "follows",
"text": "Follows"
},
"associatedTitle": {
"id": "tt1392190"
}
}
}
]
},
"moreLikeThisTitles": {
"edges": [
{
"node": {
"id": "tt1392190"
}
},
{
"node": {
"id": "tt0079501"
}
},
{
"node": {
"id": "tt0082694"
}
},
{
"node": {
"id": "tt0089530"
}
},
{
"node": {
"id": "tt4575512"
}
},
{
"node": {
"id": "tt15239678"
}
},
{
"node": {
"id": "tt1160419"
}
},
{
"node": {
"id": "tt6263850"
}
},
{
"node": {
"id": "tt18412256"
}
},
{
"node": {
"id": "tt10366206"
}
},
{
"node": {
"id": "tt17279496"
}
},
{
"node": {
"id": "tt2911666"
}
},
{
"node": {
"id": "tt0480249"
}
},
{
"node": {
"id": "tt6146586"
}
},
{
"node": {
"id": "tt11138512"
}
}
]
}
}
}
}💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。
